/*

 * Asynchronous Engine .

 * 

 * Copyright (C) 2004 Claude Hussenet

 * Contact : chussenet@yahoo.com

 * 

 * Distributable under LGPL license.

 * See terms of license at gnu.org.

 */

package org.jboss.aspects.asynchronous.common;

import org.jboss.aspects.asynchronous.AsynchronousParameters;
import org.jboss.aspects.asynchronous.AsynchronousUserTask;
import org.jboss.aspects.asynchronous.ThreadManagerRequest;

/**
 * @author <a href="mailto:chussenet@yahoo.com">{Claude Hussenet Independant Consultant}</a>.
 * @version <tt>$Revision: 1.2.4.3 $</tt>
 */

public class ThreadManagerRequestImpl implements ThreadManagerRequest
{

   protected AsynchronousUserTask taskClassImpl = null;

   protected AsynchronousParameters inputParameters = null;

   protected long timeout = 0;

   protected String id = null;

   public ThreadManagerRequestImpl() {}

   public ThreadManagerRequestImpl(String id,

                                   AsynchronousParameters inputParameters,

                                   AsynchronousUserTask taskClassImpl,

                                   long timeout)
   {

      this.inputParameters = inputParameters;

      this.taskClassImpl = taskClassImpl;

      this.timeout = timeout;

      this.id = id;

   }

   public void setInputParameters(AsynchronousParameters inputParameters)
   {

      this.inputParameters = inputParameters;

   }

   public AsynchronousParameters getInputParameters()
   {

      return inputParameters;

   }

   public void setTimeout(long timeout)
   {

      this.timeout = timeout;

   }

   public long getTimeout()
   {

      return timeout;

   }

   public String getId()
   {

      return id;

   }

   public void setId(String string)
   {

      id = string;

   }

   public AsynchronousUserTask getTaskClassImpl()
   {

      return taskClassImpl;

   }

   public void setTaskClassImpl(AsynchronousUserTask task)
   {

      taskClassImpl = task;

   }

}

